:root {
    --font-sans-serif: Helvetica, Arial, sans-serif;
    --page-background: #f9f9f9;
    --color-text: #222;
    /* when updating any of these colors, do the same in toolbar.css.twig */
    --color-success: #4f805d;
    --color-warning: #a46a1f;
    --color-error: #b0413e;
    --color-muted: #999;
    --tab-background: #f0f0f0;
    --tab-border-color: #e5e5e5;
    --tab-active-border-color: #d4d4d4;
    --tab-color: #444;
    --tab-active-background: #fff;
    --tab-active-color: var(--color-text);
    --tab-disabled-background: #f5f5f5;
    --tab-disabled-color: #999;
    --selected-badge-background: #e5e5e5;
    --selected-badge-color: #525252;
    --selected-badge-shadow: inset 0 0 0 1px #d4d4d4;
    --selected-badge-warning-background: #fde496;
    --selected-badge-warning-color: #785b02;
    --selected-badge-warning-shadow: inset 0 0 0 1px #e6af05;
    --selected-badge-danger-background: #FCE9ED;
    --selected-badge-danger-color: #83122A;
    --selected-badge-danger-shadow: inset 0 0 0 1px #F5B8C5;
    --metric-value-background: #fff;
    --metric-value-color: inherit;
    --metric-unit-color: #999;
    --metric-label-background: #e0e0e0;
    --metric-label-color: inherit;
    --table-border: #e0e0e0;
    --table-background: #fff;
    --table-header: #e0e0e0;
    --trace-selected-background: #F7E5A1;
    --tree-active-background: #F7E5A1;
    --exception-title-color: var(--base-2);
    --shadow: 0 0 1px rgba(128, 128, 128, .2);
    --border: 1px solid #e0e0e0;
    --background-error: var(--color-error);
    --highlight-comment: #969896;
    --highlight-default: #222222;
    --highlight-keyword: #a71d5d;
    --highlight-string: #183691;
    --base-0: #fff;
    --base-1: #f5f5f5;
    --base-2: #e0e0e0;
    --base-3: #ccc;
    --base-4: #666;
    --base-5: #444;
    --base-6: #222;
}

.modal-fatal-error {
    header * {
        /* renforcement du poid */
        line-height: 33px;
    }

    .theme-dark {
        --page-background: #36393e;
        --color-text: #e0e0e0;
        --color-muted: #777;
        --color-error: #d43934;
        --tab-background: #404040;
        --tab-border-color: #737373;
        --tab-active-border-color: #171717;
        --tab-color: var(--color-text);
        --tab-active-background: #d4d4d4;
        --tab-active-color: #262626;
        --tab-disabled-background: var(--page-background);
        --tab-disabled-color: #a3a3a3;
        --selected-badge-background: #555;
        --selected-badge-color: #ddd;
        --selected-badge-shadow: none;
        --selected-badge-warning-background: #fcd55f;
        --selected-badge-warning-color: #785b02;
        --selected-badge-warning-shadow: inset 0 0 0 1px #af8503;
        --selected-badge-danger-background: #B41939;
        --selected-badge-danger-color: #FCE9ED;
        --selected-badge-danger-shadow: none;
        --metric-value-background: #555;
        --metric-value-color: inherit;
        --metric-unit-color: #999;
        --metric-label-background: #777;
        --metric-label-color: #e0e0e0;
        --trace-selected-background: #71663acc;
        --table-border: #444;
        --table-background: #333;
        --table-header: #555;
        --info-background: rgba(79, 148, 195, 0.5);
        --tree-active-background: var(--metric-label-background);
        --exception-title-color: var(--base-2);
        --shadow: 0 0 1px rgba(32, 32, 32, .2);
        --border: 1px solid #666;
        --background-error: #b0413e;
        --highlight-comment: #dedede;
        --highlight-default: var(--base-6);
        --highlight-keyword: #ff413c;
        --highlight-string: #70a6fd;
        --base-0: #2e3136;
        --base-1: #444;
        --base-2: #666;
        --base-3: #666;
        --base-4: #666;
        --base-5: #e0e0e0;
        --base-6: #f5f5f5;
        --card-label-background: var(--tab-active-background);
        --card-label-color: var(--tab-active-color);
    }

    html {
        font-family: sans-serif;
        -webkit-text-size-adjust: 100%;
        -ms-text-size-adjust: 100%
    }

    body {
        margin: 0
    }

    article, aside, details, figcaption, figure, footer, header, hgroup, main, menu, nav, section {
        display: block
    }

    audio, canvas, progress, video {
        display: inline-block;
        vertical-align: baseline
    }

    audio:not([controls]) {
        display: none;
        height: 0
    }

    [hidden], template {
        display: none
    }

    a {
        background-color: transparent
    }

    a:active, a:hover {
        outline: 0
    }

    abbr[title] {
        border-bottom: 1px dotted
    }

    b, strong {
        font-weight: 700
    }

    dfn {
        font-style: italic
    }

    h1 {
        margin: .67em 0;
        font-size: 2em
    }

    mark {
        color: #000;
        background: #ff0
    }

    small {
        font-size: 80%
    }

    sub, sup {
        position: relative;
        font-size: 75%;
        line-height: 0;
        vertical-align: baseline
    }

    sup {
        top: -.5em
    }

    sub {
        bottom: -.25em
    }

    img {
        border: 0
    }

    svg:not(:root) {
        overflow: hidden
    }

    figure {
        margin: 1em 40px
    }

    hr {
        height: 0;
        box-sizing: content-box
    }

    pre {
        overflow: auto
    }

    code, kbd, pre, samp {
        font-family: monospace, monospace;
        font-size: 1em
    }

    button, input, optgroup, select, textarea {
        margin: 0;
        font: inherit;
        color: inherit
    }

    button {
        overflow: visible
    }

    button, select {
        text-transform: none
    }

    button, html input[type="button"], input[type="reset"], input[type="submit"] {
        -webkit-appearance: button;
        cursor: pointer
    }

    button[disabled], html input[disabled] {
        cursor: default
    }

    button::-moz-focus-inner, input::-moz-focus-inner {
        padding: 0;
        border: 0
    }

    input {
        line-height: normal
    }

    input[type="checkbox"], input[type="radio"] {
        box-sizing: border-box;
        padding: 0
    }

    input[type="number"]::-webkit-inner-spin-button, input[type="number"]::-webkit-outer-spin-button {
        height: auto
    }

    input[type="search"] {
        box-sizing: content-box;
        -webkit-appearance: textfield
    }

    input[type="search"]::-webkit-search-cancel-button, input[type="search"]::-webkit-search-decoration {
        -webkit-appearance: none
    }

    fieldset {
        padding: .35em .625em .75em;
        margin: 0 2px;
        border: 1px solid silver
    }

    legend {
        padding: 0;
        border: 0
    }

    textarea {
        overflow: auto
    }

    optgroup {
        font-weight: 700
    }

    table {
        border-spacing: 0;
        border-collapse: collapse
    }

    td, th {
        padding: 0
    }

    summary {
        cursor: pointer
    }

    html {
        /* always display the vertical scrollbar to avoid jumps when toggling contents */
        overflow-y: scroll;
    }

    body {
        background-color: var(--page-background);
        color: var(--base-6);
        font: 14px/1.4 Helvetica, Arial, sans-serif;
        padding-bottom: 45px;
    }

    a {
        cursor: pointer;
        text-decoration: none;
    }

    a:hover {
        text-decoration: underline;
    }

    abbr[title] {
        border-bottom: none;
        cursor: help;
        text-decoration: none;
    }

    code, pre {
        font: 13px/1.5 Consolas, Monaco, Menlo, "Ubuntu Mono", "Liberation Mono", monospace;
    }

    table, tr, th, td {
        background: var(--base-0);
        border-collapse: collapse;
        vertical-align: top;
    }

    table {
        background: var(--base-0);
        border: var(--border);
        box-shadow: 0 0 1px rgba(128, 128, 128, .2);
        margin: 1em 0;
        width: 100%;
    }

    table th, table td {
        border: solid var(--base-2);
        border-width: 1px 0;
        padding: 8px 10px;
    }

    table th {
        background-color: var(--base-2);
        font-weight: bold;
        text-align: left;
    }

    .m-t-5 {
        margin-top: 5px;
    }

    .hidden-xs-down {
        display: none;
    }

    .block {
        display: block;
    }

    .full-width {
        width: 100%;
    }

    .hidden {
        display: none;
    }

    .prewrap {
        white-space: pre-wrap;
    }

    .nowrap {
        white-space: nowrap;
    }

    .newline {
        display: block;
    }

    .break-long-words {
        word-wrap: break-word;
        overflow-wrap: break-word;
        -webkit-hyphens: auto;
        -moz-hyphens: auto;
        hyphens: auto;
        min-width: 0;
    }

    .text-small {
        font-size: 12px !important;
    }

    .text-muted {
        color: #999;
    }

    .text-bold {
        font-weight: bold;
    }

    .empty {
        border: 4px dashed var(--base-2);
        color: #999;
        margin: 1em 0;
        padding: .5em 2em;
    }

    .status-success {
        background: rgba(94, 151, 110, 0.3);
    }

    .status-warning {
        background: rgba(240, 181, 24, 0.3);
    }

    .status-error {
        background: rgba(176, 65, 62, 0.2);
    }

    .status-success td, .status-warning td, .status-error td {
        background: transparent;
    }

    tr.status-error td, tr.status-warning td {
        border-bottom: 1px solid var(--base-2);
        border-top: 1px solid var(--base-2);
    }

    .status-warning .colored {
        color: #A46A1F;
    }

    .status-error .colored {
        color: var(--color-error);
    }

    .sf-toggle {
        cursor: pointer;
        position: relative;
    }

    .sf-toggle-content {
        -moz-transition: display .25s ease;
        -webkit-transition: display .25s ease;
        transition: display .25s ease;
    }

    .sf-toggle-content.sf-toggle-hidden {
        display: none;
    }

    .sf-toggle-content.sf-toggle-visible {
        display: block;
    }

    thead.sf-toggle-content.sf-toggle-visible, tbody.sf-toggle-content.sf-toggle-visible {
        display: table-row-group;
    }

    .sf-toggle-off .icon-close, .sf-toggle-on .icon-open {
        display: none;
    }

    .sf-toggle-off .icon-open, .sf-toggle-on .icon-close {
        display: block;
    }

    .tab-navigation {
        background-color: var(--tab-background);
        border-radius: 6px;
        box-shadow: inset 0 0 0 1px var(--tab-border-color), 0 0 0 5px var(--page-background);
        display: inline-flex;
        flex-wrap: wrap;
        margin: 0 0 15px;
        padding: 0;
        user-select: none;
        -webkit-user-select: none;
    }

    .sf-tabs-sm .tab-navigation {
        box-shadow: inset 0 0 0 1px var(--tab-border-color), 0 0 0 4px var(--page-background);
        margin: 0 0 10px;
    }

    .tab-navigation .tab-control {
        background: transparent;
        border: 0;
        box-shadow: none;
        transition: box-shadow .05s ease-in, background-color .05s ease-in;
        cursor: pointer;
        font-size: 14px;
        font-weight: 500;
        line-height: 1.4;
        margin: 0;
        padding: 4px 14px;
        position: relative;
        text-align: center;
        z-index: 1;
    }

    .sf-tabs-sm .tab-navigation .tab-control {
        font-size: 13px;
        /*noinspection CssNonIntegerLengthInPixels*/
        padding: 2.5px 10px;
    }

    .tab-navigation .tab-control:before {
        background: var(--tab-border-color);
        bottom: 15%;
        content: "";
        left: 0;
        position: absolute;
        top: 15%;
        width: 1px;
    }

    .tab-navigation .tab-control:first-child:before,
    .tab-navigation .tab-control.active + .tab-control:before,
    .tab-navigation .tab-control.active:before {
        width: 0;
    }

    .tab-navigation .tab-control .badge {
        background: var(--selected-badge-background);
        box-shadow: var(--selected-badge-shadow);
        color: var(--selected-badge-color);
        display: inline-block;
        font-size: 12px;
        font-weight: bold;
        line-height: 1;
        margin-left: 8px;
        min-width: 10px;
        padding: 2px 6px;
        text-align: center;
        white-space: nowrap;
    }

    .tab-navigation .tab-control.disabled {
        color: var(--tab-disabled-color);
    }

    .tab-navigation .tab-control.active {
        background-color: var(--tab-active-background);
        border-radius: 6px;
        /*noinspection CssNonIntegerLengthInPixels*/
        box-shadow: inset 0 0 0 1.5px var(--tab-active-border-color);
        color: var(--tab-active-color);
        position: relative;
        z-index: 1;
    }

    .theme-dark .tab-navigation li.active {
        box-shadow: inset 0 0 0 1px var(--tab-border-color);
    }

    .tab-content > *:first-child {
        margin-top: 0;
    }

    .tab-navigation .tab-control .badge.status-warning {
        background: var(--selected-badge-warning-background);
        box-shadow: var(--selected-badge-warning-shadow);
        color: var(--selected-badge-warning-color);
    }

    .tab-navigation .tab-control .badge.status-error {
        background: var(--selected-badge-danger-background);
        box-shadow: var(--selected-badge-danger-shadow);
        color: var(--selected-badge-danger-color);
    }

    .sf-tabs .tab:not(:first-child) {
        display: none;
    }

    [data-filters] {
        position: relative;
    }

    [data-filtered] {
        cursor: pointer;
    }

    [data-filtered]:after {
        content: '\00a0\25BE';
    }

    [data-filtered]:hover .filter-list li {
        display: inline-flex;
    }

    [class*="filter-hidden-"] {
        display: none;
    }

    .filter-list {
        position: absolute;
        border: var(--border);
        box-shadow: var(--shadow);
        margin: 0;
        padding: 0;
        display: flex;
        flex-direction: column;
    }

    .filter-list :after {
        content: '';
    }

    .filter-list li {
        background: var(--tab-disabled-background);
        border-bottom: var(--border);
        color: var(--tab-disabled-color);
        display: none;
        list-style: none;
        margin: 0;
        padding: 5px 10px;
        text-align: left;
        font-weight: normal;
    }

    .filter-list li.active {
        background: var(--tab-background);
        color: var(--tab-color);
    }

    .filter-list li.last-active {
        background: var(--tab-active-background);
        color: var(--tab-active-color);
    }

    .filter-list-level li {
        cursor: s-resize;
    }

    .filter-list-level li.active {
        cursor: n-resize;
    }

    .filter-list-level li.last-active {
        cursor: default;
    }

    .filter-list-level li.last-active:before {
        content: '\2714\00a0';
    }

    .filter-list-choice li:before {
        content: '\2714\00a0';
        color: transparent;
    }

    .filter-list-choice li.active:before {
        color: unset;
    }

    .container {
        max-width: 1024px;
        margin: 0 auto;
        padding: 0 15px;
    }

    .container::after {
        content: "";
        display: table;
        clear: both;
    }

    header {
        background-color: #222;
        color: rgba(255, 255, 255, 0.75);
        font-size: 13px;
        height: 33px;
        line-height: 33px;
        padding: 0;
    }

    header .container {
        display: flex;
        justify-content: space-between;
    }

    .logo {
        flex: 1;
        font-size: 13px;
        font-weight: normal;
        margin: 0;
        padding: 0;
    }

    .logo svg {
        height: 18px;
        width: 18px;
        opacity: .8;
        vertical-align: -5px;
        line-height: 33px;
    }

    .help-link {
        margin-left: 15px;
    }

    .help-link a {
        color: inherit;
    }

    .help-link .icon svg {
        height: 15px;
        width: 15px;
        opacity: .7;
        vertical-align: -2px;
    }

    .help-link a:hover {
        color: #EEE;
        text-decoration: none;
    }

    .help-link a:hover svg {
        opacity: .9;
    }

    .exception-summary {
        background: var(--background-error);
        border-bottom: 2px solid rgba(0, 0, 0, 0.1);
        border-top: 1px solid rgba(0, 0, 0, .3);
        flex: 0 0 auto;
        margin-bottom: 15px;
    }

    .exception-metadata {
        background: rgba(0, 0, 0, 0.1);
        padding: 7px 0;
    }

    .exception-metadata .container {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
    }

    .exception-metadata h2, .exception-metadata h2 > a {
        color: rgba(255, 255, 255, 0.8);
        font-size: 13px;
        font-weight: 400;
        margin: 0;
    }

    .exception-http small {
        font-size: 13px;
        opacity: .7;
    }

    .exception-hierarchy {
        flex: 1;
    }

    .exception-hierarchy .icon {
        margin: 0 3px;
        opacity: .7;
    }

    .exception-hierarchy .icon svg {
        height: 13px;
        width: 13px;
        vertical-align: -2px;
    }

    .exception-without-message .exception-message-wrapper {
        display: none;
    }

    .exception-message-wrapper .container {
        display: flex;
        align-items: flex-start;
        min-height: 70px;
        padding: 10px 15px 8px;
    }

    .exception-message {
        flex-grow: 1;
    }

    .exception-message, .exception-message a {
        color: #FFF;
        font-size: 21px;
        font-weight: 400;
        margin: 0;
    }

    .exception-message.long {
        font-size: 18px;
    }

    .exception-message a {
        border-bottom: 1px solid rgba(255, 255, 255, 0.5);
        font-size: inherit;
        text-decoration: none;
    }

    .exception-message a:hover {
        border-bottom-color: #ffffff;
    }

    .exception-properties-wrapper {
        margin: .8em 0;
    }

    .exception-properties {
        background: var(--base-0);
        border: var(--border);
        box-shadow: 0 0 1px rgba(128, 128, 128, .2);
    }

    .exception-properties pre {
        margin: 0;
        padding: 0.2em 0;
    }

    .exception-illustration {
        flex-basis: 111px;
        flex-shrink: 0;
        height: 66px;
        margin-left: 15px;
        opacity: .7;
    }

    .trace + .trace {
        margin-top: 30px;
    }

    .trace-head {
        background-color: var(--base-2);
        padding: 10px;
        position: relative;
    }

    .trace-head .trace-class {
        color: var(--base-6);
        font-size: 18px;
        font-weight: bold;
        line-height: 1.3;
        margin: 0;
        position: relative;
    }

    .trace-head .trace-namespace {
        color: #999;
        display: block;
        font-size: 13px;
    }

    .trace-head .icon {
        position: absolute;
        right: 0;
        top: 0;
    }

    .trace-head .icon svg {
        fill: var(--base-5);
        height: 24px;
        width: 24px;
    }

    .trace-details {
        background: var(--base-0);
        border: var(--border);
        box-shadow: 0 0 1px rgba(128, 128, 128, .2);
        margin: 0 0 1em;
        table-layout: fixed;
    }

    .trace-message {
        font-size: 14px;
        font-weight: normal;
        margin: .5em 0 0;
    }

    .trace-line {
        position: relative;
        padding-top: 8px;
        padding-bottom: 8px;
    }

    .trace-line + .trace-line {
        border-top: var(--border);
    }

    .trace-line:hover {
        background: var(--base-1);
    }

    .trace-line a {
        color: var(--base-6);
    }

    .trace-line .icon {
        opacity: .4;
        position: absolute;
        left: 10px;
    }

    .trace-line .icon svg {
        fill: var(--base-5);
        height: 16px;
        width: 16px;
    }

    .trace-line .icon.icon-copy {
        left: auto;
        top: auto;
        padding-left: 5px;
        display: none
    }

    .trace-line:hover .icon.icon-copy:not(.hidden) {
        display: inline-block
    }

    .trace-line-header {
        padding-left: 36px;
        padding-right: 10px;
    }

    .trace-file-path, .trace-file-path a {
        color: var(--base-6);
        font-size: 13px;
    }

    .trace-class {
        color: var(--color-error);
    }

    .trace-type {
        padding: 0 2px;
    }

    .trace-method {
        color: var(--color-error);
        font-weight: bold;
    }

    .trace-arguments {
        color: #777;
        font-weight: normal;
        padding-left: 2px;
    }

    .trace-code {
        background: var(--base-0);
        font-size: 12px;
        margin: 10px 10px 2px 10px;
        padding: 10px;
        overflow-x: auto;
        white-space: nowrap;
    }

    .trace-code ol {
        margin: 0;
        float: left;
    }

    .trace-code li {
        color: #969896;
        margin: 0;
        padding-left: 10px;
        float: left;
        width: 100%;
    }

    .trace-code li + li {
        margin-top: 5px;
    }

    .trace-code li.selected {
        background: var(--trace-selected-background);
        margin-top: 2px;
    }

    .trace-code li code {
        color: var(--base-6);
        white-space: nowrap;
    }

    .trace-as-text .stacktrace {
        line-height: 1.8;
        margin: 0 0 15px;
        white-space: pre-wrap;
    }

    @media (min-width: 575px) {
        .hidden-xs-down {
            display: initial;
        }

        .help-link {
            margin-left: 30px;
        }
    }

    .sf-reset .traces {
        padding-bottom: 14px;
    }

    .sf-reset .traces li {
        font-size: 12px;
        color: #868686;
        padding: 5px 4px;
        list-style-type: decimal;
        margin-left: 20px;
    }

    .sf-reset #logs .traces li.error {
        font-style: normal;
        color: #AA3333;
        background: #f9ecec;
    }

    .sf-reset #logs .traces li.warning {
        font-style: normal;
        background: #ffcc00;
    }

    /* fix for Opera not liking empty <li> */
    .sf-reset .traces li:after {
        content: "\00A0";
    }

    .sf-reset .trace {
        border: 1px solid #D3D3D3;
        padding: 10px;
        overflow: auto;
        margin: 10px 0 20px;
    }

    .sf-reset .block-exception {
        -moz-border-radius: 16px;
        -webkit-border-radius: 16px;
        border-radius: 16px;
        margin-bottom: 20px;
        background-color: #f6f6f6;
        border: 1px solid #dfdfdf;
        padding: 30px 28px;
        word-wrap: break-word;
        overflow: hidden;
    }

    .sf-reset .block-exception div {
        color: #313131;
        font-size: 10px;
    }

    .sf-reset .block-exception-detected .illustration-exception,
    .sf-reset .block-exception-detected .text-exception {
        float: left;
    }

    .sf-reset .block-exception-detected .illustration-exception {
        width: 152px;
    }

    .sf-reset .block-exception-detected .text-exception {
        width: 670px;
        padding: 30px 44px 24px 46px;
        position: relative;
    }

    .sf-reset .text-exception .open-quote,
    .sf-reset .text-exception .close-quote {
        font-family: Arial, Helvetica, sans-serif;
        position: absolute;
        color: #C9C9C9;
        font-size: 8em;
    }

    .sf-reset .open-quote {
        top: 0;
        left: 0;
    }

    .sf-reset .close-quote {
        bottom: -0.5em;
        right: 50px;
    }

    .sf-reset .block-exception p {
        font-family: Arial, Helvetica, sans-serif;
    }

    .sf-reset .block-exception p a,
    .sf-reset .block-exception p a:hover {
        color: #565656;
    }

    .sf-reset .logs h2 {
        float: left;
        width: 654px;
    }

    .sf-reset .error-count, .sf-reset .support {
        float: right;
        width: 170px;
        text-align: right;
    }

    .sf-reset .error-count span {
        display: inline-block;
        background-color: #aacd4e;
        -moz-border-radius: 6px;
        -webkit-border-radius: 6px;
        border-radius: 6px;
        padding: 4px;
        color: white;
        margin-right: 2px;
        font-size: 11px;
        font-weight: bold;
    }

    .sf-reset .support a {
        display: inline-block;
        -moz-border-radius: 6px;
        -webkit-border-radius: 6px;
        border-radius: 6px;
        padding: 4px;
        color: #000000;
        margin-right: 2px;
        font-size: 11px;
        font-weight: bold;
    }

    .sf-reset .toggle {
        vertical-align: middle;
    }

    .sf-reset .linked ul,
    .sf-reset .linked li {
        display: inline;
    }

    .sf-reset #output-content {
        color: #000;
        font-size: 12px;
    }

    .sf-reset #traces-text pre {
        white-space: pre;
        font-size: 12px;
        font-family: monospace;
    }
}
